- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_get_window_attributes_reply_t Struct Reference
[XCB API]

xcb_get_window_attributes_reply_t More...

`#include <xproto.h>`

## Data Fields
uint8_t | response_type
uint8_t | backing_store
uint16_t | sequence
uint32_t | length
xcb_visualid_t | visual
uint16_t | _class
uint8_t | bit_gravity
uint8_t | win_gravity
uint32_t | backing_planes
uint32_t | backing_pixel
uint8_t | save_under
uint8_t | map_is_installed
uint8_t | map_state
uint8_t | override_redirect
xcb_colormap_t | colormap
uint32_t | all_event_masks
uint32_t | your_event_mask
uint16_t | do_not_propagate_mask
uint8_t | pad0 [2]

## Detailed Description

xcb_get_window_attributes_reply_t

## Field Documentation

uint8_t xcb_get_window_attributes_reply_t::response_type

uint8_t xcb_get_window_attributes_reply_t::backing_store

uint16_t xcb_get_window_attributes_reply_t::sequence

uint32_t xcb_get_window_attributes_reply_t::length

xcb_visualid_t xcb_get_window_attributes_reply_t::visual

uint16_t xcb_get_window_attributes_reply_t::_class

uint8_t xcb_get_window_attributes_reply_t::bit_gravity

uint8_t xcb_get_window_attributes_reply_t::win_gravity

uint32_t xcb_get_window_attributes_reply_t::backing_planes

uint32_t xcb_get_window_attributes_reply_t::backing_pixel

uint8_t xcb_get_window_attributes_reply_t::save_under

uint8_t xcb_get_window_attributes_reply_t::map_is_installed

uint8_t xcb_get_window_attributes_reply_t::map_state

uint8_t xcb_get_window_attributes_reply_t::override_redirect

xcb_colormap_t xcb_get_window_attributes_reply_t::colormap

uint32_t xcb_get_window_attributes_reply_t::all_event_masks

uint32_t xcb_get_window_attributes_reply_t::your_event_mask

uint16_t xcb_get_window_attributes_reply_t::do_not_propagate_mask

uint8_t xcb_get_window_attributes_reply_t::pad0[2]

The documentation for this struct was generated from the following file:

- xproto.h